Bug 1306671 - thrift-0.9.1-17.fc24.2 FTBFS: operands to ?: have different types 'bool' and 'std::basic_ostream<char>'
thrift-0.9.1-17.fc24.2 FTBFS: operands to ?: have different types 'bool' and ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: thrift (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/b...
:
: 1308185 (view as bug list)
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-11 09:47 EST by Petr Pisar
Modified: 2016-04-04 13:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: thrift-0.9.1-17.fc25.3 thrift-0.9.1-17.fc24.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 13:24:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2016-02-11 09:47:26 EST
thrift-0.9.1-17.fc24.2 fails to build in F24:

g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/cpp/src/thrift  -I./src  -Wall -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -c -o thrift-t_java_generator.o `test -f 'src/generate/t_java_generator.cc' || echo './'`src/generate/t_java_generator.cc
[...]
src/generate/t_java_generator.cc: In member function 'void t_java_generator::generate_process_async_function(t_service*, t_function*)':
src/generate/t_java_generator.cc:2830:14: error: operands to ?: have different types 'bool' and 'std::basic_ostream<char>'
        first ? first = false : indent(f_service_) << "else ";
        ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Difference between working and failing build root is:

libtool 	2.4.6-8.fc24 	> 	2.4.6-9.fc24
	slf4j 	1.7.13-1.fc24 	> 	1.7.14-1.fc24
	openssl-devel 	1:1.0.2e-5.fc24 	> 	1:1.0.2f-1.fc24
	httpcomponents-client 	4.5.1-1.fc24 	> 	4.5.1-2.fc24
	boost-devel 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	java-1.8.0-openjdk-devel 	1:1.8.0.71-1.b15.fc24 	> 	1:1.8.0.72-2.b15.fc24
	texlive 	5:2015-21.20150728_r... 	> 	5:2015-23.20150728_r...
	libstdc++-devel 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	boost-program-options 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-serialization 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	mesa-libGL-devel 	11.2.0-0.devel.6.5e3... 	> 	11.2.0-0.devel.8.24e...
	boost-graph 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	libstdc++ 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	boost-regex 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-context 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	libquadmath-devel 		> 	6.0.0-0.7.fc24
	krb5-devel 	1.14-17.fc24 	> 	1.14-19.fc24
	java-1.8.0-openjdk 	1:1.8.0.71-1.b15.fc24 	> 	1:1.8.0.72-2.b15.fc24
	libgcc 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	texlive-kpathsea 	5:svn37193.0-21.fc24 	> 	5:svn37193.0-23.fc24
	boost-filesystem 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-date-time 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	texlive-scheme-basic 	5:svn25923.0-21.20150728_r... 	> 	5:svn25923.0-23.20150728_r...
	texlive-tetex 	5:svn38208.3.0-21.fc24 	> 	5:svn38208.3.0-23.fc24
	boost-test 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-coroutine 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-wave 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	texlive-collection-latexrecommended 	5:svn35765.0-21.20150728_r... 	> 	5:svn35765.0-23.20150728_r...
	boost 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-iostreams 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-system 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	openssl-libs 	1:1.0.2e-5.fc24 	> 	1:1.0.2f-1.fc24
	boost-python 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	perl-Encode 	3:2.78-2.fc24 	> 	3:2.80-4.fc24
	glibc 	2.22.90-29.fc24 	> 	2.22.90-31.fc24
	boost-timer 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-container 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	elfutils-libelf 	0.165-2.fc24 	> 	0.165-3.fc24
	boost-atomic 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-math 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-signals 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-chrono 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	java-1.8.0-openjdk-headless 	1:1.8.0.71-1.b15.fc24 	> 	1:1.8.0.72-2.b15.fc24
	boost-type_erasure 		> 	1.60.0-2.fc24
	boost-random 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	gcc 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	mesa-libGL 	11.2.0-0.devel.6.5e3... 	> 	11.2.0-0.devel.8.24e...
	boost-locale 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-log 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	texlive-caption 	5:svn30449.0-21.fc24 	> 	5:svn30449.0-23.fc24
	texlive-base 	5:2015-21.20150728_r... 	> 	5:2015-23.20150728_r...
	texlive-microtype 	5:svn30755.2.5a-21.fc24 	> 	5:svn30755.2.5a-23.fc24
	ncurses-compat-libs 	6.0-2.20160116.fc24 	> 	6.0-3.20160116.fc24
	texlive-booktabs 	5:svn15878.1.61803-21.fc24 	> 	5:svn15878.1.61803-23.fc24
	sqlite 	3.10.0-1.fc24 	> 	3.10.2-1.fc24
	texlive-cite 	5:svn36428.5.5-21.fc24 	> 	5:svn36428.5.5-23.fc24
	python3-setuptools 	19.4-1.fc24 	> 	19.6.2-1.fc24
	texlive-thumbpdf 	5:svn34621.3.16-21.fc24 	> 	5:svn34621.3.16-23.fc24
	ncurses-libs 	6.0-2.20160116.fc24 	> 	6.0-3.20160116.fc24
	qt-settings 	23-10.fc24 	> 	24-1.fc24
	texlive-hyphen-base 	5:svn34525.0-21.fc24 	> 	5:svn34525.0-23.fc24
	texlive-jknapltx 	5:svn19440.0-21.fc24 	> 	5:svn19440.0-23.fc24
	texlive-underscore 	5:svn18261.0-21.fc24 	> 	5:svn18261.0-23.fc24
	glibc-common 	2.22.90-29.fc24 	> 	2.22.90-31.fc24
	krb5-libs 	1.14-17.fc24 	> 	1.14-19.fc24
	cpp 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	texlive-fancyvrb 	5:svn18492.2.8-21.fc24 	> 	5:svn18492.2.8-23.fc24
	texlive-psfrag 	5:svn15878.3.04-21.fc24 	> 	5:svn15878.3.04-23.fc24
	texlive-setspace 	5:svn24881.6.7a-21.fc24 	> 	5:svn24881.6.7a-23.fc24
	texlive-subfig 	5:svn15878.1.3-21.fc24 	> 	5:svn15878.1.3-23.fc24
	texlive-rotating 	5:svn16832.2.16b-21.fc24 	> 	5:svn16832.2.16b-23.fc24
	glibc-devel 	2.22.90-29.fc24 	> 	2.22.90-31.fc24
	texlive-kpathsea-bin 	5:svn37207.0-21.20150728_r... 	> 	5:svn37207.0-23.20150728_r...
	texlive-pdfpages 	5:svn38140.0.5c-21.fc24 	> 	5:svn38140.0.5c-23.fc24
	texlive-l3kernel 	5:svn38371.SVN_6002-21.fc24 	> 	5:svn38371.SVN_6002-23.fc24
	ncurses 	6.0-2.20160116.fc24 	> 	6.0-3.20160116.fc24
	texlive-beamer 	5:svn36461.3.36-21.fc24 	> 	5:svn36461.3.36-23.fc24
	texlive-ntgclass 	5:svn15878.2.1a-21.fc24 	> 	5:svn15878.2.1a-23.fc24
	texlive-textcase 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-sansmath 	5:svn17997.1.1-21.fc24 	> 	5:svn17997.1.1-23.fc24
	python2-setuptools 	19.4-1.fc24 	> 	19.6.2-1.fc24
	texlive-cmap 	5:svn31477.1.0h-21.fc24 	> 	5:svn31477.1.0h-23.fc24
	texlive-koma-script 	5:svn37734.3.18-21.fc24 	> 	5:svn37734.3.18-23.fc24
	texlive-memoir 	5:svn37809.3.7e-21.fc24 	> 	5:svn37809.3.7e-23.fc24
	texlive-section 	5:svn20180.0-21.fc24 	> 	5:svn20180.0-23.fc24
	texlive-euenc 	5:svn19795.0.1h-21.fc24 	> 	5:svn19795.0.1h-23.fc24
	texlive-collection-latex 	5:svn33055.0-21.20150728_r... 	> 	5:svn33055.0-23.20150728_r...
	texlive-fp 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-sepnum 	5:svn20186.2.0-21.fc24 	> 	5:svn20186.2.0-23.fc24
	texlive-texlive.infra 	5:svn37738.0-21.fc24 	> 	5:svn37738.0-23.fc24
	texlive-l3experimental 	5:svn38360.SVN_6001-21.fc24 	> 	5:svn38360.SVN_6001-23.fc24
	boost-thread 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	texlive-collection-basic 	5:svn33040.0-21.20150728_r... 	> 	5:svn33040.0-23.20150728_r...
	texlive-fancyref 	5:svn15878.0.9c-21.fc24 	> 	5:svn15878.0.9c-23.fc24
	texlive-fontspec 	5:svn37926.2.4d-21.fc24 	> 	5:svn37926.2.4d-23.fc24
	texlive-tetex-bin 	5:svn36770.0-21.20150728_r... 	> 	5:svn36770.0-23.20150728_r...
	texlive-listings 	5:svn37534.1.6-21.fc24 	> 	5:svn37534.1.6-23.fc24
	texlive-index 	5:svn24099.4.1beta-21.fc24 	> 	5:svn24099.4.1beta-23.fc24
	texlive-mathtools 	5:svn37587.1.17-21.fc24 	> 	5:svn37587.1.17-23.fc24
	texlive-ctable 	5:svn38241.1.30-21.fc24 	> 	5:svn38241.1.30-23.fc24
	texlive-collection-fontsrecommended 	5:svn35830.0-21.20150728_r... 	> 	5:svn35830.0-23.20150728_r...
	texlive-l3packages 	5:svn38360.SVN_6001-21.fc24 	> 	5:svn38360.SVN_6001-23.fc24
	texlive-extsizes 	5:svn17263.1.4a-21.fc24 	> 	5:svn17263.1.4a-23.fc24
	binutils 	2.25.1-9.fc24 	> 	2.26-4.fc24
	texlive-seminar 	5:svn34011.1.62-21.fc24 	> 	5:svn34011.1.62-23.fc24
	texlive-euler 	5:svn17261.2.5-21.fc24 	> 	5:svn17261.2.5-23.fc24
	texlive-anysize 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	libgomp 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	texlive-mdwtools 	5:svn15878.1.05.4-21.fc24 	> 	5:svn15878.1.05.4-23.fc24
	texlive-lineno 	5:svn21442.4.41-21.fc24 	> 	5:svn21442.4.41-23.fc24
	mesa-libglapi 	11.2.0-0.devel.6.5e3... 	> 	11.2.0-0.devel.8.24e...
	texlive-xkeyval 	5:svn35741.2.7a-21.fc24 	> 	5:svn35741.2.7a-23.fc24
	texlive-ms 	5:svn29849.0-21.fc24 	> 	5:svn29849.0-23.fc24
	libquadmath 		> 	6.0.0-0.7.fc24
	texlive-eso-pic 	5:svn37925.2.0g-21.fc24 	> 	5:svn37925.2.0g-23.fc24
	texlive-typehtml 	5:svn17134.0-21.fc24 	> 	5:svn17134.0-23.fc24
	texlive-rcs 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-parskip 	5:svn19963.2.0-21.fc24 	> 	5:svn19963.2.0-23.fc24
	texlive-crop 	5:svn15878.1.5-21.fc24 	> 	5:svn15878.1.5-23.fc24
	texlive-xcolor 	5:svn15878.2.11-21.fc24 	> 	5:svn15878.2.11-23.fc24
	texlive-float 	5:svn15878.1.3d-21.fc24 	> 	5:svn15878.1.3d-23.fc24
	texlive-metalogo 	5:svn18611.0.12-21.fc24 	> 	5:svn18611.0.12-23.fc24
	texlive-powerdot 	5:svn32549.1.5-21.fc24 	> 	5:svn32549.1.5-23.fc24
	texlive-fancybox 	5:svn18304.1.4-21.fc24 	> 	5:svn18304.1.4-23.fc24
	texlive-breqn 	5:svn38099.0.98d-21.fc24 	> 	5:svn38099.0.98d-23.fc24
	texlive-tipa 	5:svn29349.1.3-21.fc24 	> 	5:svn29349.1.3-23.fc24
	texlive-wasy2-ps 	5:svn35830.0-21.fc24 	> 	5:svn35830.0-23.fc24
	texlive-etex 	5:svn37057.0-21.fc24 	> 	5:svn37057.0-23.fc24
	texlive-graphics 	5:svn36834.0-21.fc24 	> 	5:svn36834.0-23.fc24
	texlive-sansmathaccent 	5:svn30187.0-21.fc24 	> 	5:svn30187.0-23.fc24
	texlive-mathpazo 	5:svn15878.1.003-21.fc24 	> 	5:svn15878.1.003-23.fc24
	texlive-zapfding 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-latexconfig 	5:svn38205.0-21.fc24 	> 	5:svn38205.0-23.fc24
	texlive-dvipdfmx-bin 	5:svn37207.0-21.20150728_r... 	> 	5:svn37207.0-23.20150728_r...
	texlive-babelbib 	5:svn25245.1.31-21.fc24 	> 	5:svn25245.1.31-23.fc24
	texlive-plain 	5:svn37747.3.141592653-21.fc24 	> 	5:svn37747.3.141592653-23.fc24
	texlive-pst-ovl 	5:svn34033.0.06-21.fc24 	> 	5:svn34033.0.06-23.fc24
	texlive-dvips 	5:svn38208.0-21.fc24 	> 	5:svn38208.0-23.fc24
	texlive-glyphlist 	5:svn28576.0-21.fc24 	> 	5:svn28576.0-23.fc24
	texlive-amscls 	5:svn36804.0-21.fc24 	> 	5:svn36804.0-23.fc24
	texlive-avantgar 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-metafont 	5:svn37078.2.7182818-21.fc24 	> 	5:svn37078.2.7182818-23.fc24
	texlive-type1cm 	5:svn21820.0-21.fc24 	> 	5:svn21820.0-23.fc24
	texlive-ifluatex 	5:svn26725.1.3-21.fc24 	> 	5:svn26725.1.3-23.fc24
	texlive-pdftex 	5:svn38314.0-21.fc24 	> 	5:svn38314.0-23.fc24
	glibc-headers 	2.22.90-29.fc24 	> 	2.22.90-31.fc24
	texlive-txfonts 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-tools 	5:svn36834.0-21.fc24 	> 	5:svn36834.0-23.fc24
	texlive-tex-gyre 	5:svn18651.2.004-21.fc24 	> 	5:svn18651.2.004-23.fc24
	texlive-lm 	5:svn28119.2.004-21.fc24 	> 	5:svn28119.2.004-23.fc24
	texlive-fix2col 	5:svn17133.0.03-21.fc24 	> 	5:svn17133.0.03-23.fc24
	texlive-hyph-utf8 	5:svn37337.696-21.fc24 	> 	5:svn37337.696-23.fc24
	texlive-babel 	5:svn38036.3.9m-21.fc24 	> 	5:svn38036.3.9m-23.fc24
	texlive-pxfonts 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-bibtex 	5:svn37078.0.99d-21.fc24 	> 	5:svn37078.0.99d-23.fc24
	texlive-pspicture 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-dvipdfmx-def 	5:svn38150.4.05-21.fc24 	> 	5:svn38150.4.05-23.fc24
	texlive-enctex 	5:svn34957.0-21.fc24 	> 	5:svn34957.0-23.fc24
	texlive-hyperref 	5:svn28213.6.83m-21.fc24 	> 	5:svn28213.6.83m-23.fc24
	texlive-makeindex 	5:svn37078.0-21.fc24 	> 	5:svn37078.0-23.fc24
	texlive-csquotes 	5:svn37891.5.1f-21.fc24 	> 	5:svn37891.5.1f-23.fc24
	kernel-headers 	4.5.0-0.rc0.git8.1.... 	> 	4.5.0-0.rc1.git2.1....
	texlive-enumitem 	5:svn24146.3.5.2-21.fc24 	> 	5:svn24146.3.5.2-23.fc24
	texlive-mfnfss 	5:svn19410.0-21.fc24 	> 	5:svn19410.0-23.fc24
	texlive-iftex 	5:svn29654.0.2-21.fc24 	> 	5:svn29654.0.2-23.fc24
	texlive-pstricks 	5:svn38348.2.63-21.fc24 	> 	5:svn38348.2.63-23.fc24
	texlive-fpl 	5:svn15878.1.002-21.fc24 	> 	5:svn15878.1.002-23.fc24
	texlive-finstrut 	5:svn21719.0.5-21.fc24 	> 	5:svn21719.0.5-23.fc24
	texlive-xdvi-bin 	5:svn37100.0-21.20150728_r... 	> 	5:svn37100.0-23.20150728_r...
	texlive-carlisle 	5:svn18258.0-21.fc24 	> 	5:svn18258.0-23.fc24
	texlive-bookman 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-metafont-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-babel-english 	5:svn30264.3.3p-21.fc24 	> 	5:svn30264.3.3p-23.fc24
	texlive-tex 	5:svn37078.3.14159265-21.fc24 	> 	5:svn37078.3.14159265-23.fc24
	texlive-ltabptch 	5:svn17533.1.74d-21.fc24 	> 	5:svn17533.1.74d-23.fc24
	texlive-ncntrsbk 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-texconfig 	5:svn37078.0-21.fc24 	> 	5:svn37078.0-23.fc24
	texlive-footmisc 	5:svn23330.5.5b-21.fc24 	> 	5:svn23330.5.5b-23.fc24
	texlive-cmextra 	5:svn32831.0-21.fc24 	> 	5:svn32831.0-23.fc24
	texlive-mparhack 	5:svn15878.1.4-21.fc24 	> 	5:svn15878.1.4-23.fc24
	texlive-psnfss 	5:svn33946.9.2a-21.fc24 	> 	5:svn33946.9.2a-23.fc24
	texlive-knuth-local 	5:svn33147.0-21.fc24 	> 	5:svn33147.0-23.fc24
	texlive-lib 	5:2015-21.20150728_r... 	> 	5:2015-23.20150728_r...
	texlive-symbol 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-pst-grad 	5:svn15878.1.06-21.fc24 	> 	5:svn15878.1.06-23.fc24
	texlive-amsmath 	5:svn30645.2.14-21.fc24 	> 	5:svn30645.2.14-23.fc24
	systemtap-sdt-devel 	3.0-0.20160118git... 	> 	3.0-0.20160125git...
	texlive-mptopdf 	5:svn37777.0-21.fc24 	> 	5:svn37777.0-23.fc24
	texlive-rsfs 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-palatino 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-cm 	5:svn32865.0-21.fc24 	> 	5:svn32865.0-23.fc24
	texlive-pgf 	5:svn38237.3.0.1a-21.fc24 	> 	5:svn38237.3.0.1a-23.fc24
	texlive-texlive-en 	5:svn37206.0-21.fc24 	> 	5:svn37206.0-23.fc24
	texlive-lua-alt-getopt 	5:svn29349.0.7.0-21.fc24 	> 	5:svn29349.0.7.0-23.fc24
	texlive-kastrup 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-ifxetex 	5:svn19685.0.5-21.fc24 	> 	5:svn19685.0.5-23.fc24
	texlive-courier 	5:svn35058.0-21.fc24 	> 	5:svn35058.0-23.fc24
	texlive-charter 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-pst-slpe 	5:svn24391.1.31-21.fc24 	> 	5:svn24391.1.31-23.fc24
	texlive-times 	5:svn35058.0-21.fc24 	> 	5:svn35058.0-23.fc24
	texlive-texlive.infra-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-marginnote 	5:svn25880.v1.1i-21.fc24 	> 	5:svn25880.v1.1i-23.fc24
	texlive-cm-super 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-ec 	5:svn25033.1.0-21.fc24 	> 	5:svn25033.1.0-23.fc24
	texlive-wasy 	5:svn35831.0-21.fc24 	> 	5:svn35831.0-23.fc24
	texlive-ifetex 	5:svn24853.1.2-21.fc24 	> 	5:svn24853.1.2-23.fc24
	texlive-manfnt-font 	5:svn35799.0-21.fc24 	> 	5:svn35799.0-23.fc24
	texlive-texlive-scripts 	5:svn38366.0-21.fc24 	> 	5:svn38366.0-23.fc24
	texlive-xunicode 	5:svn30466.0.981-21.fc24 	> 	5:svn30466.0.981-23.fc24
	texlive-utopia 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-geometry 	5:svn19716.5.6-21.fc24 	> 	5:svn19716.5.6-23.fc24
	texlive-thumbpdf-bin 	5:svn6898.0-21.20150728_r... 	> 	5:svn6898.0-23.20150728_r...
	texlive-gsftopk 	5:svn37078.1.19.2-21.fc24 	> 	5:svn37078.1.19.2-23.fc24
	texlive-ae 	5:svn15878.1.4-21.fc24 	> 	5:svn15878.1.4-23.fc24
	texlive-amsfonts 	5:svn29208.3.04-21.fc24 	> 	5:svn29208.3.04-23.fc24
	texlive-marvosym 	5:svn29349.2.2a-21.fc24 	> 	5:svn29349.2.2a-23.fc24
	texlive-ltxmisc 	5:svn21927.0-21.fc24 	> 	5:svn21927.0-23.fc24
	texlive-luaotfload 	5:svn35328.2.5_4-21.fc24 	> 	5:svn35328.2.5_4-23.fc24
	texlive-etoolbox 	5:svn38031.2.2a-21.fc24 	> 	5:svn38031.2.2a-23.fc24
	texlive-pst-blur 	5:svn15878.2.0-21.fc24 	> 	5:svn15878.2.0-23.fc24
	texlive-zapfchan 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	texlive-oberdiek 	5:svn33322.0-21.fc24 	> 	5:svn33322.0-23.fc24
	texlive-lm-math 	5:svn36915.1.959-21.fc24 	> 	5:svn36915.1.959-23.fc24
	texlive-latex 	5:svn37789.0-21.fc24 	> 	5:svn37789.0-23.fc24
	texlive-mflogo-font 	5:svn36898.1.002-21.fc24 	> 	5:svn36898.1.002-23.fc24
	texlive-dvipdfmx 	5:svn37159.0-21.fc24 	> 	5:svn37159.0-23.fc24
	texlive-luatex 	5:svn37242.0-21.fc24 	> 	5:svn37242.0-23.fc24
	texlive-knuth-lib 	5:svn35820.0-21.fc24 	> 	5:svn35820.0-23.fc24
	texlive-texlive-msg-translations 	5:svn37957.0-21.fc24 	> 	5:svn37957.0-23.fc24
	texlive-pdftex-def 	5:svn22653.0.06d-21.fc24 	> 	5:svn22653.0.06d-23.fc24
	texlive-helvetic 	5:svn31835.0-21.fc24 	> 	5:svn31835.0-23.fc24
	perl-XML-XPath 	1.25-1.fc24 	> 	1.26-1.fc24
	texlive-etex-pkg 	5:svn38279.2.4-21.fc24 	> 	5:svn38279.2.4-23.fc24
	texlive-xdvi 	5:svn37078.22.87-21.fc24 	> 	5:svn37078.22.87-23.fc24
	texlive-eurosym 	5:svn17265.1.4_subrfix-21.fc24 	> 	5:svn17265.1.4_subrfix-23.fc24
	texlive-colortbl 	5:svn29803.v1.0a-21.fc24 	> 	5:svn29803.v1.0a-23.fc24
	texlive-algorithms 	5:svn38085.0.1-21.fc24 	> 	5:svn38085.0.1-23.fc24
	texlive-euro 	5:svn22191.1.1-21.fc24 	> 	5:svn22191.1.1-23.fc24
	texlive-ucs 	5:svn35853.2.2-21.fc24 	> 	5:svn35853.2.2-23.fc24
	texlive-url 	5:svn32528.3.4-21.fc24 	> 	5:svn32528.3.4-23.fc24
	texlive-pst-text 	5:svn15878.1.00-21.fc24 	> 	5:svn15878.1.00-23.fc24
	texlive-mflogo 	5:svn35821.2.0-21.fc24 	> 	5:svn35821.2.0-23.fc24
	ncurses-base 	6.0-2.20160116.fc24 	> 	6.0-3.20160116.fc24
	texlive-wasysym 	5:svn15878.2.0-21.fc24 	> 	5:svn15878.2.0-23.fc24
	texlive-tex-gyre-math 	5:svn36916.0-21.fc24 	> 	5:svn36916.0-23.fc24
	texlive-texlive-common-doc 	5:svn37183.0-21.fc24 	> 	5:svn37183.0-23.fc24
	texlive-pslatex 	5:svn16416.0-21.fc24 	> 	5:svn16416.0-23.fc24
	texlive-latex-fonts 	5:svn28888.0-21.fc24 	> 	5:svn28888.0-23.fc24
	texlive-fancyhdr 	5:svn15878.3.1-21.fc24 	> 	5:svn15878.3.1-23.fc24
	texlive-natbib 	5:svn20668.8.31b-21.fc24 	> 	5:svn20668.8.31b-23.fc24
	filesystem 	3.2-35.fc24 	> 	3.2-36.fc24
	texlive-mfware 	5:svn37078.0-21.fc24 	> 	5:svn37078.0-23.fc24
	texlive-latex-bin 	5:svn37078.0-21.fc24 	> 	5:svn37078.0-23.fc24
	texlive-pst-fill 	5:svn15878.1.01-21.fc24 	> 	5:svn15878.1.01-23.fc24
	texlive-texconfig-bin 	5:svn29741.0-21.20150728_r... 	> 	5:svn29741.0-23.20150728_r...
	texlive-pst-node 	5:svn34856.1.35-21.fc24 	> 	5:svn34856.1.35-23.fc24
	texlive-luatex-bin 	5:svn37340.0-21.20150728_r... 	> 	5:svn37340.0-23.20150728_r...
	texlive-gsftopk-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-chngcntr 	5:svn17157.1.0a-21.fc24 	> 	5:svn17157.1.0a-23.fc24
	libcurl 	7.46.0-2.fc24 	> 	7.47.0-1.fc24
	gcc-c++ 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	texlive-latex-bin-bin 	5:svn14050.0-21.20150728_r... 	> 	5:svn14050.0-23.20150728_r...
	rpm-build 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	rpm-libs 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	texlive-bera 	5:svn20031.0-21.fc24 	> 	5:svn20031.0-23.fc24
	texlive-pst-eps 	5:svn15878.1.0-21.fc24 	> 	5:svn15878.1.0-23.fc24
	texlive-unicode-math 	5:svn38337.0.8b-21.fc24 	> 	5:svn38337.0.8b-23.fc24
	texlive-pst-3d 	5:svn17257.1.10-21.fc24 	> 	5:svn17257.1.10-23.fc24
	texlive-ifplatform 	5:svn21156.0.4-21.fc24 	> 	5:svn21156.0.4-23.fc24
	dnf-conf 	1.1.5-1.fc24 	> 	1.1.6-1.fc24
	texlive-lualatex-math 	5:svn34982.1.4-21.fc24 	> 	5:svn34982.1.4-23.fc24
	texlive-beton 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-bibtex-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	libnghttp2 	1.6.0-1.fc24 	> 	1.7.0-1.fc24
	texlive-filehook 	5:svn24280.0.5d-21.fc24 	> 	5:svn24280.0.5d-23.fc24
	texlive-attachfile 	5:svn36721.1.6-21.fc24 	> 	5:svn36721.1.6-23.fc24
	rpm-plugin-selinux 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	texlive-filecontents 	5:svn24250.1.3-21.fc24 	> 	5:svn24250.1.3-23.fc24
	go-srpm-macros 	2-4.fc24 	> 	2-5.fc24
	texlive-pst-math 	5:svn34786.0.63-21.fc24 	> 	5:svn34786.0.63-23.fc24
	rpm-build-libs 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	python3-dnf-plugins-core 	0.1.15-1.fc24 	> 	0.1.16-3.fc24
	texlive-sauerj 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-dvips-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-mfware-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-pst-tools 	5:svn34067.0.05-21.fc24 	> 	5:svn34067.0.05-23.fc24
	texlive-luatexbase 	5:svn30562.0.6-21.fc24 	> 	5:svn30562.0.6-23.fc24
	texlive-showexpl 	5:svn32737.v0.3l-21.fc24 	> 	5:svn32737.v0.3l-23.fc24
	texlive-luaotfload-bin 	5:svn34647.0-21.20150728_r... 	> 	5:svn34647.0-23.20150728_r...
	device-mapper-libs 	1.02.114-3.fc24 	> 	1.02.115-1.fc24
	texlive-pdftex-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	file 	5.25-4.fc24 	> 	5.25-5.fc24
	elfutils-libs 	0.165-2.fc24 	> 	0.165-3.fc24
	dnf-plugins-core 	0.1.15-1.fc24 	> 	0.1.16-3.fc24
	curl 	7.46.0-2.fc24 	> 	7.47.0-1.fc24
	texlive-soul 	5:svn15878.2.4-21.fc24 	> 	5:svn15878.2.4-23.fc24
	poppler 	0.34.0-1.fc24 	> 	0.40.0-1.fc24
	texlive-pst-pdf-bin 	5:svn7838.0-21.20150728_r... 	> 	5:svn7838.0-23.20150728_r...
	device-mapper 	1.02.114-3.fc24 	> 	1.02.115-1.fc24
	xkeyboard-config 	2.16-2.fc24 	> 	2.17-1.fc24
	texlive-environ 	5:svn33821.0.3-21.fc24 	> 	5:svn33821.0.3-23.fc24
	elfutils 	0.165-2.fc24 	> 	0.165-3.fc24
	texlive-varwidth 	5:svn24104.0.92-21.fc24 	> 	5:svn24104.0.92-23.fc24
	texlive-tex-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	python3-dnf 	1.1.5-1.fc24 	> 	1.1.6-1.fc24
	texlive-pstricks-add 	5:svn35772.3.77-21.fc24 	> 	5:svn35772.3.77-23.fc24
	elfutils-default-yama-scope 	0.165-2.fc24 	> 	0.165-3.fc24
	file-libs 	5.25-4.fc24 	> 	5.25-5.fc24
	rpm 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	texlive-breakurl 	5:svn29901.1.40-21.fc24 	> 	5:svn29901.1.40-23.fc24
	texlive-trimspaces 	5:svn15878.1.1-21.fc24 	> 	5:svn15878.1.1-23.fc24
	texlive-pst-tree 	5:svn24142.1.12-21.fc24 	> 	5:svn24142.1.12-23.fc24
	mesa-libEGL 	11.2.0-0.devel.6.5e3... 	> 	11.2.0-0.devel.8.24e...
	gdb 	7.10.50.20160106-44.fc24 	> 	7.10.50.20160131-50.fc24
	rpm-python3 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	texlive-mptopdf-bin 	5:svn18674.0-21.20150728_r... 	> 	5:svn18674.0-23.20150728_r...
	texlive-pst-coil 	5:svn37377.1.07-21.fc24 	> 	5:svn37377.1.07-23.fc24
	texlive-paralist 	5:svn30992.2.4-21.fc24 	> 	5:svn30992.2.4-23.fc24
	texlive-pst-plot 	5:svn35025.1.70-21.fc24 	> 	5:svn35025.1.70-23.fc24
	texlive-makeindex-bin 	5:svn36790.0-21.20150728_r... 	> 	5:svn36790.0-23.20150728_r...
	texlive-qstest 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	texlive-ucharcat 	5:svn38197.0.02-21.fc24 	> 	5:svn38197.0.02-23.fc24
	rpm-plugin-systemd-inhibit 	4.13.0-0.rc1.18.fc24 	> 	4.13.0-0.rc1.19.fc24
	texlive-parallel 	5:svn15878.0-21.fc24 	> 	5:svn15878.0-23.fc24
	libtool-ltdl 	2.4.6-8.fc24 	> 	2.4.6-9.fc24
	gcc-gdb-plugin 	5.3.1-3.fc24 	> 	6.0.0-0.7.fc24
	texlive-auto-pst-pdf 	5:svn23723.0.6-21.fc24 	> 	5:svn23723.0.6-23.fc24
	mesa-libgbm 	11.2.0-0.devel.6.5e3... 	> 	11.2.0-0.devel.8.24e...
	texlive-currfile 	5:svn29012.0.7b-21.fc24 	> 	5:svn29012.0.7b-23.fc24
	texlive-texlive-scripts-bin 	5:svn29741.0-21.20150728_r... 	> 	5:svn29741.0-23.20150728_r...
	texlive-pst-pdf 	5:svn31660.1.1v-21.fc24 	> 	5:svn31660.1.1v-23.fc24
	texlive-multido 	5:svn18302.1.42-21.fc24 	> 	5:svn18302.1.42-23.fc24
Comment 1 Petr Pisar 2016-02-17 07:14:04 EST
*** Bug 1308185 has been marked as a duplicate of this bug. ***
Comment 2 Yaakov Selkowitz 2016-02-19 13:57:15 EST
Culprit is gcc-6:

src/generate/t_java_generator.cc: In member function 'void t_java_generator::generate_process_async_function(t_service*, t_function*)':
src/generate/t_java_generator.cc:2830:14: error: operands to ?: have different types 'bool' and 'std::basic_ostream<char>'
        first ? first = false : indent(f_service_) << "else ";
        ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 3 Jan Kurik 2016-02-24 09:30:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Petr Pisar 2016-03-30 10:01:41 EDT
I ported fixes from new 0.9.3 version. It would be great to upgrade thrift.
Comment 5 Will Benton 2016-03-30 10:11:34 EDT
Thanks for the fix, Petr.  In the past, we haven't been able to upgrade Thrift (even among patchlevels) because other packages that depended on it were incompatible with other versions.  What dependences of Thrift are you interested in in particular?
Comment 6 Petr Pisar 2016-03-30 10:20:07 EDT
I'm not interested in any particular dependencies. I only found that upstream already fixed the build issues, so if the Fedora package were following upstream, this bug report would not arise at all. If upstream breaks compatibility, that's problem. But you still can upgrade only in the Rawhide where is plenty of time fix broken dependencies.
Comment 7 Fedora Update System 2016-03-30 11:10:01 EDT
thrift-0.9.1-17.fc24.3 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da11b9a352
Comment 8 Fedora Update System 2016-03-30 18:24:50 EDT
thrift-0.9.1-17.fc24.3 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da11b9a352
Comment 9 Fedora Update System 2016-04-04 13:24:09 EDT
thrift-0.9.1-17.fc24.3 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.